Retrieve HR Relation By Code

Prev Next
Get
/hcm-rest-api/rest/1/hrrelations

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • Select By Code
  • By UUID

Select By Code

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
RelDesc Relation Description Test
RelCode Relation Code S

By UUID

This is an optional finder for querying a specific HR Relation by row ID.

Parameter Description Sample
/VUUID The VUuid attribute is the Unique row ID /hcm-rest-api/rest/1/hrrelations/F31A71AB5163409BE05316821FAC5E4B
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleselectByCode;RelDesc=Test, RelCode=S
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleRelaVUuid
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
{
  "items": [
    {
      "RelaCode": "S",
      "RelaDescription": "Test",
      "RelaVUuid": "F31A71AB5163409BE05316821FAC5E4B",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrrelations/F31A71AB5163409BE05316821FAC5E4B",
          "name": "hrrelations",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrrelations/F31A71AB5163409BE05316821FAC5E4B",
          "name": "hrrelations",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/hcm-rest-api/rest/1/hrrelations",
      "name": "hrrelations",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved